Bug 440389 - Unable to start Xorg
Unable to start Xorg
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
9
i686 Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-03 06:01 EDT by John Young
Modified: 2009-07-14 13:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:28:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
last log file when trying to startX (39.98 KB, text/plain)
2008-04-03 06:01 EDT, John Young
no flags Details

  None (edit)
Description John Young 2008-04-03 06:01:58 EDT
Description of problem:
Following the update to xorg-x11-server 1.4.99.901-15.20080401.fc9 I am unable
to startX

Version-Release number of selected component (if applicable):

xorg-x11-server 1.4.99.901-15.20080401.fc9

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 John Young 2008-04-03 06:01:58 EDT
Created attachment 300204 [details]
last log file when trying to startX
Comment 2 Adrian "Adi1981" P. 2008-04-03 09:36:33 EDT
Look @ BZ #440263
Comment 3 Matěj Cepl 2008-04-03 11:21:28 EDT
This doesn't look like bug 440263, but I am quite sure there is a dupe, but I
cannot find it now.
Comment 4 John Young 2008-04-03 12:07:15 EDT
I agree BZ 440263 appears to be an exact duplicate of my issue.  It is the same
version of xorg-x11-server and the procedure described for reproduction is
precisely the same - my problem arose initially when trying to boot to graphical
login.  

John
Comment 5 John Young 2008-04-03 13:16:27 EDT
Final comment - the same first aid - reverting to a previous version of Xorg and
Mesa corrects the issue (for the time being)

John
Comment 6 John Reiser 2008-04-06 22:20:30 EDT
Looks to be the same thing that prevents graphical install from working when
attempted from DVD made by pungi compose of rawhide of 2008-04-05 (Saturday
April 5).  Both i686 and x86_64 fail "Can't open display :1" and fall back to
text mode, right at the beginning of anaconda.

The x86 traceback in X.log is
-----
Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x79) [0x80bc2e9]
1: [0x130400]
2: /usr/lib/xorg/modules/extensions//libglx.so(__glXScreenInit+0xb1) [0x66fb31]
3: /usr/lib/xorg/modules/extensions//libglx.so [0x66f1d9]
4: /usr/lib/xorg/modules/extensions//libglx.so [0x6695da]
5: /usr/lib/xorg/modules/extensions//libglx.so(GlxExtensionInit+0x162) [0x66e932]
6: /usr/bin/Xorg(InitExtensions+0x8a) [0x80e544a]
7: /usr/bin/Xorg(main+0x2ad) [0x806b1bd]
8: /lib/libc.so.6(__libc_start_main+0xe6) [0x4145d6]
9: /usr/bin/Xorg(FontFileCompleteXLFD+0x221) [0x806a771]

Fatal server error:
Caught signal 11.  Server aborting
-----

The x86_64 traceback in X.log is
-----
Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x65) [0x479d75]
1: /lib64/libc.so.6 [0x1d9ff80]
2: /usr/lib64/xorg/modules/extensions//libglx.so(__glXScreenInit+0xc8)
[0x7f99af22e2e8]
3: /usr/lib64/xorg/modules/extensions//libglx.so [0x7f99af22da92]
4: /usr/lib64/xorg/modules/extensions//libglx.so(GlxExtensionInit+0x132)
[0x7f99af22d2d2]
5: /usr/bin/Xorg(InitExtensions+0x8a) [0x4a1b8a]
6: /usr/bin/Xorg(main+0x2b0) [0x42c6b0]
7: /lib64/libc.so.6(__libc_start_main+0xfa) [0x1d8b40a]
8: /usr/bin/Xorg(FontFileCompleteXLFD+0x281) [0x42bc39]

Fatal server error:
Caught signal 11.  Server aborting
-----

The rpms are:
-----
xorg-x11-server-Xorg-1.4.99.901-17.20080401.fc9.i386.rpm
xorg-x11-drv-nv-2.1.8-1.fc9.i386.rpm

xorg-x11-server-Xorg-1.4.99.901-17.20080401.fc9.x86_64.rpm
xorg-x11-drv-nv-2.1.8-1.fc9.x86_64.rpm
-----
Comment 7 Bug Zapper 2008-05-14 04:37:04 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-06-09 19:59:11 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 13:28:18 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.